OGRE-Next: Ogre::GLSLESShaderFactory Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::GLSLESShaderFactory Class Reference

Factory class for GLSL ES programs. More...

`#include <OgreGLSLESShaderFactory.h>`

Inheritance diagram for Ogre::GLSLESShaderFactory:
[legend]

## Public Member Functions
| GLSLESShaderFactory ()
| ~GLSLESShaderFactory ()
HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)
| Create an instance of GLSLESShader.
void | destroy (HighLevelGpuProgram *prog)
const String & | getLanguage () const
| Get the name of the language this factory creates shaders for.
Public Member Functions inherited from Ogre::HighLevelGpuProgramFactory
| HighLevelGpuProgramFactory ()
virtual | ~HighLevelGpuProgramFactory ()

## Detailed Description

Factory class for GLSL ES programs.

## Constructor & Destructor Documentation

## ◆ GLSLESShaderFactory()

Ogre::GLSLESShaderFactory::GLSLESShaderFactory | ( |  | ) |

## ◆ ~GLSLESShaderFactory()

Ogre::GLSLESShaderFactory::~GLSLESShaderFactory | ( |  | ) |

## Member Function Documentation

## ◆ create()

HighLevelGpuProgram * Ogre::GLSLESShaderFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader )
| virtual

Create an instance of GLSLESShader.

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ destroy()

void Ogre::GLSLESShaderFactory::destroy | ( | HighLevelGpuProgram * | prog | ) |
| virtual

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ getLanguage()

const String & Ogre::GLSLESShaderFactory::getLanguage | ( |  | ) | const
| virtual

Get the name of the language this factory creates shaders for.

Implements Ogre::HighLevelGpuProgramFactory.

The documentation for this class was generated from the following file:

- OgreGLSLESShaderFactory.h